// ===========================================================================
// CONTENT  : TEST CLASS NLSUtilTest
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 24/03/2006
// HISTORY  :
//  24/03/2006  duma  CREATED
//
// Copyright (c) 2006, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pf.nls ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import java.util.Locale;

import junit.framework.* ;

/**
 * Test class for corresponding business class.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class NLSUtilTest extends TestCase
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
	protected NLSUtil util = NLSUtil.current() ;

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public NLSUtilTest( String name )
  {
    super( name ) ;
  } // NLSUtilTest() 

  // =========================================================================
  // PUBLIC CLASS METHODS
  // =========================================================================
  public static Test suite()
  {
		return new TestSuite( NLSUtilTest.class ) ;
	} // suite() 

  // =========================================================================
  // TEST METHODS
  // =========================================================================

  public void test_createLocale_1()
  {
  	assertEquals( Locale.GERMAN, util.createLocale( "de" ) ) ;
  } // test_createLocale_1() 

  // -------------------------------------------------------------------------

  public void test_createLocale_2()
  {
  	assertEquals( Locale.FRANCE, util.createLocale( "fr_fr" ) ) ;
  } // test_createLocale_2() 
  
  // -------------------------------------------------------------------------
  
  public void test_createLocale_3()
  {
  	assertEquals( Locale.US, util.createLocale( "EN_US" ) ) ;
  } // test_createLocale_3() 
  
  // -------------------------------------------------------------------------
  
  public void test_createLocale_4()
  {
  	assertEquals( new Locale("de","CH","basel"), util.createLocale( "DE_CH_basel" ) ) ;
  } // test_createLocale_4() 
  
  // -------------------------------------------------------------------------
  
  public void test_createLocale_5()
  {
  	assertNull( util.createLocale( "  " ) ) ;
  } // test_createLocale_5() 
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
  @Override
  protected void setUp()
    throws Exception
  {
    super.setUp() ;
	} // setUp() 

  // -------------------------------------------------------------------------

} // class NLSUtilTest 
